%global fontname        source-sans-pro
%global fontarchive     source-sans
%global filename        SourceSans3
%global foundry         adobe
%global fontconf        61-%{foundry}-%{fontname}
%global commit          release
%global fontext         otf
%global fontvarext      ttf
%global fontsstat       OTF
%global fontsvar        VF
%global fontsvarpref    var
%global tmp_ttx         TMP_ttx
%global tmp_edited      TMP_ttx2
%global tmp_fonts       TMP_fonts

%global common_desc \
%{expand:
Source Sans is a set of OpenType fonts that have been designed to work well in
user interface (UI) environments, as well as in text setting for screen and
print.}


Name:           %{foundry}-%{fontname}-fonts
Version:        3.052
Release:        K01%{?dist}
Epoch:          1
Summary:        A set of OpenType fonts designed for user interfaces.

License:        OFL
URL:            https://github.com/adobe-fonts/source-sans
Source0:        %{fontarchive}-%{commit}.zip
Source1:        %{name}.conf
Source2:        fix_names.pl


BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  perl
BuildRequires:  perl-XML-LibXML
BuildRequires:  fonttools
Requires:       %{name}-common = %{epoch}:%{version}-%{release}


%description
%common_desc

This package includes only static fonts.

#####################


%package        common
Summary:        Common files of %{name}

%description    common
%common_desc

This package consists of files used by other %{name} packages.



#####################




%package        %{fontsvarpref}
Summary:        Source Sans is a set of OpenType fonts that have been designed to work well in user interface (UI) environments.
Requires:       %{name}-common = %{epoch}:%{version}-%{release}

%description    %{fontsvarpref}
%common_desc

This package includes only variable fonts.


#----------------------------------------------------------------------#


%prep
%setup  -q -c %{fontarchive}-%{commit}


%build

# Fix the FontFamily names.
rm -fr %{tmp_ttx}
mkdir -p %{tmp_ttx}
ttx -f -q -d %{tmp_ttx} %{fontarchive}-%{commit}/%{fontsstat}/*.%{fontext}
perl %{SOURCE2} in=%{tmp_ttx} out=%{tmp_edited} NoWidth
rm -fr %{tmp_fonts}
mkdir -p %{tmp_fonts}
ttx -f -q -d %{tmp_fonts} %{tmp_edited}/*.ttx

# Add prefix to variable fonts.
for f in %{fontarchive}-%{commit}/%{fontsvar}/*.%{fontvarext}; do
	fn=${f##*/}
	mv -- "$f" "%{fontarchive}-%{commit}/%{fontsvar}/%{fontsvarpref}-$fn"
done

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{tmp_fonts}/*.%{fontext} %{buildroot}%{_fontdir}
install -m 0644 -p %{fontarchive}-%{commit}/%{fontsvar}/%{fontsvarpref}-*.%{fontvarext} %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf

for fconf in %{fontconf}.conf \
              ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

%files
%defattr(0644,root,root,-)
%{_fontdir}/%{filename}*.%{fontext}

%files %{fontsvarpref}
%defattr(0644,root,root,-)
%{_fontdir}/%{fontsvarpref}-%{filename}*.%{fontvarext}

%files common
%defattr(0644,root,root,-)
%doc %{fontarchive}-%{commit}/README.md
%license %{fontarchive}-%{commit}/LICENSE.md
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf

%changelog
* Sat Mar 8 2025 Karlis Kalviskis <karlo@lu.lv> - 3.052-K01
- Initial release.
- Patched static font name table.
